Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 657937 - nut cannot access usbhid-ups device because of permission issues
Summary: nut cannot access usbhid-ups device because of permission issues
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nut
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-28 19:29 UTC by Thomas Vander Stichele
Modified: 2011-01-17 15:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-17 15:47:41 UTC
Type: ---


Attachments (Terms of Use)
an init.d file that works for me (3.17 KB, text/plain)
2010-11-28 19:30 UTC, Thomas Vander Stichele
no flags Details

Description Thomas Vander Stichele 2010-11-28 19:29:37 UTC
Description of problem:

For whatever reason, the nut tools need to be run with -u root (even when running them as root) to be allowed access to the devices.

I manually changed init script for ups to do this so that it now works for me and the device can be queried.

Version-Release number of selected component (if applicable):

2.4.3-5.fc14

How reproducible:

always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Thomas Vander Stichele 2010-11-28 19:30:09 UTC
Created attachment 463369 [details]
an init.d file that works for me

Comment 2 Michal Hlavinka 2010-11-29 12:33:13 UTC
hi, thanks for reporting this. Seems there is some problem with udev rules and device permissions. Using -u root in init script is definitely wrong. 

please check permissions that are used for your ups device. Use 

lsusb 

to get list of usb devices. Find UPS in the output, for example:
> Bus 004 Device 003: ID 0463:ffff MGE UPS Systems UPS

important numbers are Bus 004 and Device 003. Get file permissions of 
ls -l /dev/bus/usb/<Bus number>/<Device number>

for my example it'd be

ls -l /dev/bus/usb/004/003
> crw-rw-r-- 1 root uucp 189, 386 2009-05-25 20:34 /dev/bus/usb/004/003

Also please add output of 
id nut

thanks

Comment 3 Michal Hlavinka 2011-01-17 15:47:41 UTC
More than a month in needinfo state, closing as insufficient_data. Feel free to reopen if you see this bug and can provide requested info.


Note You need to log in before you can comment on or make changes to this bug.